Assign a component to a role
const url = 'https://example.com/api/v1/systems/example/roles/example/assignments/example';const options = {method: 'PUT'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/systems/example/roles/example/assignments/examplePuts this component in the role for this system. Refused with a 422 naming the missing capabilities when the component does not provide everything the role requires (its product’s capabilities, plus what it adds, minus what it suppresses). Idempotent. Gated by system:update; an out-of-scope system is a non-disclosing 404.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The system’s unique name
The system’s unique name
The role name
The role name
The component’s unique name
The component’s unique name
Responses
Section titled “ Responses ”No Content
default
Section titled “default ”Error
object
A URL to the JSON Schema for this object.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "$schema": "/api/v1/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}